Subject: Re: bug#16051: 24.3.50; Emacs hang - resize frame manually

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Dec 2013 15:12:48 +0200

> Date: Sat, 07 Dec 2013 13:25:06 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  >> How can I tell you?  I could send you a screenshot.
>  >
>  > Yes, please.
> 
> Attached find two screenshots.  The Windows one is from a build
> configured as
> 
> "CFLAGS='-O0 -g3' ./nt/msysconfig.sh --prefix=/c/emacs/... --enable-checking=yes --enable-gcc-warnings=yes --enable-check-lisp-object-type=yes"
> 
> The XFCE is from a build configured as
> 
> "CFLAGS='-O0 -g3' ./configure --without-tiff --with-x-toolkit=no --enable-checking=yes --enable-check-lisp-object-type=yes"

Now I understand why your build doesn't crash: you didn't specify
GLYPH_DEBUG.  I build with --enable-checking='yes,glyphs'.  The
function where Emacs hits the assertion is not compiled in without
GLYPH_DEBUG being defined.

> Can you say what the build scripts did?

Not sure what are you asking.  The Windows build seems indeed to be
devoid of XPM, but the Unix build does display color icons on the
toolbar.  Try using image-type-available-p to see which image types
are supported.